# Unit pmemorymanager

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

`PMemoryManager` - Physical Memory Management

## Uses

- util
- console
- multiboot
- tracer

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `TPhysicalMemoryEntry` |

### Functions and Procedures

`procedure init;`
`function alloc_block(block : uint16; caller : uint32) : boolean;`
`procedure force_alloc_block(block : uint16; caller : uint32);`
`function new_block(caller : uint32) : uint16;`
`procedure free_block(block : uint16; caller : uint32);`

### Types

`TPhysicalMemory = array[0..1023] of TPhysicalMemoryEntry;`

## Description

### Functions and Procedures

`procedure init;`

`function alloc_block(block : uint16; caller : uint32) : boolean;`

`procedure force_alloc_block(block : uint16; caller : uint32);`

`function new_block(caller : uint32) : uint16;`

`procedure free_block(block : uint16; caller : uint32);`

### Types

`TPhysicalMemory = array[0..1023] of TPhysicalMemoryEntry;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.